Summary:	Provides basic parts of the OpenPGP message format
Name:		opencdk
Version:	0.6.6
Release:	3

License:	GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/gnutls/download.html
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnutls.org/pub/gnutls/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgcrypt-devel, zlib-devel
Requires:	libgcrypt, zlib

%package devel
Summary:	Files which are needed to develop applications using opencdk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel, zlib-devel, pkg-config


%description
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke, alter
preferences, ...) and some other parts are only rudimentary available. The
main purpose is to handle and understand OpenPGP packets and to use basic
operations. For example to encrypt/decrypt or to sign/verify and packet
routines.

The library is available as 32-bit and 64-bit.


%description devel
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.

This package contains header files and libraries which are needed to
develop applications based on opencdk.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0 -p0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp src/.libs/libopencdk.so.10 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libopencdk.a ./libopencdk.so.10


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
mkdir -p usr/bin
mkdir -p usr/include
mkdir -p usr/lib

cd usr/bin
ln -sf ../..%{_bindir}/* .
cd ../..

cd usr/include
ln -sf ../..%{_includedir}/* .
cd ../..

cd usr/lib
ln -sf ../..%{_libdir}/*.a .
cd ../..


%clean
###[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*.html
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/*/*.pc
/usr/bin/*
/usr/include/*


%changelog
* Fri Mar 28 2008 Michael Perzl <michael@perzl.org> - 0.6.6-3
- corrected some SPEC file errors

* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 0.6.6-2
- included both 32-bit and 64-bit shared objects

* Tue Dec 18 2007 Michael Perzl <michael@perzl.org> - 0.6.6-1
- first version for AIX V5.1 and higher
